summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-04-14 19:21:01 +0000
committerZac Medico <zmedico@gentoo.org>2007-04-14 19:21:01 +0000
commit56e8e6e653364e187f7e78c7349c9f9235bb6602 (patch)
tree38ea86c8f5c820f87c2c4eae5b1d984badfa3828
parentdocument new version suffix style #166522 (trunk r6394:6395) (diff)
downloadportage-multirepo-56e8e6e653364e187f7e78c7349c9f9235bb6602.tar.gz
portage-multirepo-56e8e6e653364e187f7e78c7349c9f9235bb6602.tar.bz2
portage-multirepo-56e8e6e653364e187f7e78c7349c9f9235bb6602.zip
revise tests so that does not trigger an error (trunk r6400:6401)
svn path=/main/branches/2.1.2/; revision=6404
-rwxr-xr-xbin/doins4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/doins b/bin/doins
index 43df6dd2..43e3187c 100755
--- a/bin/doins
+++ b/bin/doins
@@ -22,12 +22,12 @@ if [ ${INSDEPTH} -gt 30 ] ; then
exit 1
fi
-if [ "${INSDESTTREE%${D}*}" == "" ]; then
+if [[ ${INSDESTTREE#${D}} != "${INSDESTTREE}" ]]; then
vecho "-------------------------------------------------------" 1>&2
vecho "You should not use \${D} with helpers." 1>&2
vecho " --> ${INSDESTTREE}" 1>&2
vecho "-------------------------------------------------------" 1>&2
- #exit 1
+ exit 1
fi
[ ! -d "${D}${INSDESTTREE}" ] && dodir "${INSDESTTREE}"